Ads · Ad Creatives
Returns TikTok ad identities. Works with TikTok Ads.
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the ads resource group disabled get 403 resource_group_disabled. Authentication
Query parameters
| Name | Type | Notes |
|---|---|---|
accountIdrequired | string | |
adAccountIdrequired | string |
Example
curl -X GET "https://api.pozy.ai/v1/ads/tiktok-identities?accountId=696e0b682d0a31188e7a2ba9&adAccountId=666219aad7bab67ace411e4f" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/ads/tiktok-identities?accountId=696e0b682d0a31188e7a2ba9&adAccountId=666219aad7bab67ace411e4f", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/ads/tiktok-identities",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
params={
"accountId": "696e0b682d0a31188e7a2ba9",
"adAccountId": "666219aad7bab67ace411e4f",
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
adAccountIdstringidentitiesarray of objectidentityIdstringidentityTypestringOne of
TT_USER,BC_AUTH_TT,CUSTOMIZED_USER.displayNamestringCan be null.
usernamestringCan be null.
profileImagestringCan be null.
identityAuthorizedBcIdstringCan be null.
200 response
{
"adAccountId": "666219aad7bab67ace411e4f",
"identities": [
{
"identityId": "677d7bec579c1ba703d97ae7",
"identityType": "TT_USER",
"displayName": "Acme",
"username": "acme",
"profileImage": "string",
"identityAuthorizedBcId": "6de040158e5c20b77f909c96"
}
]
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.
More in Ad Creatives
POSTRender pre-create ad previewsGETRender previews of an existing adGETDirect video and image URLs for an adGETCreative libraryPOSTCreate a standalone creativeGETCreative detailsPUTRename a creativeDELDelete a creativeGETAd image libraryPOSTUpload an ad image from base64GETAd video libraryPOSTUpload an ad videoGETGet ad video processing statusDELDelete an ad videoGETList partnership ad contentGETList partnership permissionsPOSTSet partnership permission